# PSF-LoginServer - master - net.psforever.objects.vital.resistance.ResistanceProfileMutators
PSF - LoginServer - master - net.psforever.objects.vital.resistance.ResistanceProfileMutators
Keywords: PSF LoginServer master net.psforever.objects.vital.resistance.ResistanceProfileMutators

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resistance
  Definition Classes
    vital
- ResistanceCalculations
- ResistanceProfile
- ResistanceProfileMutators
- ResistanceSelection
- StandardResistanceProfile

t

net.psforever.objects.vital.resistance

# ResistanceProfileMutators

###

#### trait ResistanceProfileMutators extends ResistanceProfile

The different values for four common methods of modifying incoming damage. Two of the four resistances are directly paired with forms of incoming damage. This is for defining both accessor and mutator functions.

Source
  ResistanceProfile.scala

Linear Supertypes
ResistanceProfile, AnyRef, Any
Known Subclasses
BoomerDeployableDefinition, ExplosiveDeployableDefinition, SensorDeployableDefinition, ShieldGeneratorDefinition, TelepadDeployableDefinition, TrapDeployableDefinition, TurretDeployableDefinition, NonvitalDefinition, DeployableDefinition, ExoSuitDefinition, SpecialExoSuitDefinition, VehicleDefinition, AmsDefinition, AntDefinition, ApcDefinition, CarrierDefinition, DeployingDefinition, RouterDefinition, DoorDefinition, GeneratorDefinition, CaptureFlagDefinition, CaptureFlagSocketDefinition, IFFLockDefinition, LockerDefinition, VehicleSpawnPadDefinition, PainboxDefinition, ResourceSiloDefinition, AmenityDefinition, GeneratorTerminalDefinition, MatrixTerminalDefinition, MedicalTerminalDefinition, OrderTerminalDefinition, ProximityTerminalDefinition, TerminalDefinition, CaptureTerminalDefinition, ImplantTerminalMechDefinition, SpawnTubeDefinition, FacilityTurretDefinition, TurretDefinition, InternalTelepadDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResistanceProfileMutators
2. ResistanceProfile
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def RadiationShielding: Float
   Definition Classes
     ResistanceProfileMutators → ResistanceProfile
5.  def RadiationShielding_=(resist: Float): Float
6.  def Resist(dtype: base.DamageType.Value): Float
   Definition Classes
     ResistanceProfile
7.  def ResistanceAggravated: Int
   Definition Classes
     ResistanceProfileMutators → ResistanceProfile
8.  def ResistanceAggravated_=(resist: Int): Int
9.  def ResistanceDirectHit: Int
   Definition Classes
     ResistanceProfileMutators → ResistanceProfile
10.  def ResistanceDirectHit_=(resist: Int): Int
11.  def ResistanceSplash: Int
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
12.  def ResistanceSplash_=(resist: Int): Int
13.  def Subtract: DamageProfile
    Definition Classes
      ResistanceProfileMutators → ResistanceProfile
14.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ResistanceProfile

### Inherited from AnyRef

### Inherited from Any

### Ungrouped